Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/xtitle: new aport

From: Camille Scholtz <onodera_at_openmailbox.org>
Date: Fri, 15 Apr 2016 19:15:03 +0200

https://githib.com/basekerville/xtitle
outputs X window titles
---
 testing/xtitle/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/xtitle/APKBUILD
diff --git a/testing/xtitle/APKBUILD b/testing/xtitle/APKBUILD
new file mode 100644
index 0000000..389137e
--- /dev/null
+++ b/testing/xtitle/APKBUILD
_at_@ -0,0 +1,30 @@
+# Contributor: Camille Scholtz <onodera_at_openmailbox.org>
+# Maintainer: Camille Scholtz <onodera_at_openmailbox.org>
+pkgname=xtitle
+pkgver=0.3
+pkgrel=0
+pkgdesc="outputs X window titles"
+url="https://github.com/baskerville/xtitle"
+arch="all"
+license="unlicense"
+depends=""
+depends_dev="xcb-util-wm-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="saveas-https://github.com/baskerville/$pkgname/archive/$pkgver.tar.gz/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="9d8118284e55b25274af4f8da4124e2e  xtitle-0.3.tar.gz"
+sha256sums="817af5b7e6014d24840404722c2b6a44c44a7b226dfad1e76d0087a68833231f  xtitle-0.3.tar.gz"
+sha512sums="e9134490b1369a6a18e56f33c4cafda0a4e2b66871bd7e430792d08790ee37326a96c95acc8452721ed20fdde001bf31d15fd6ee76537629fe5f1d69cf04d623  xtitle-0.3.tar.gz"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Apr 15 2016 - 19:15:03 GMT